## org.eclipse.amp.amf.abase.aBase.impl
Class ABasePackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.amp.amf.abase.aBase.impl.ABasePackageImpl

All Implemented Interfaces:
  ABasePackage, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class ABasePackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements ABasePackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.amp.amf.abase.aBase.ABasePackage
`ABasePackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.amp.amf.abase.aBase.ABasePackage
`BOOLEAN, BOOLEAN_VALUE, BOOLEAN_VALUE__VALUE, BOOLEAN_VALUE_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, INT_VALUE, INT_VALUE__VALUE, INT_VALUE_FEATURE_COUNT, REAL_VALUE, REAL_VALUE__VALUE, REAL_VALUE_FEATURE_COUNT, STRING_VALUE, STRING_VALUE__VALUE, STRING_VALUE_FEATURE_COUNT, VALUE, VALUE_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`ABaseFactory` `getABaseFactory()`
`org.eclipse.emf.ecore.EEnum` `getBOOLEAN()`
`org.eclipse.emf.ecore.EAttribute` `getBooleanValue_Value()`
`org.eclipse.emf.ecore.EClass` `getBooleanValue()`
`org.eclipse.emf.ecore.EAttribute` `getIntValue_Value()`
`org.eclipse.emf.ecore.EClass` `getIntValue()`
`org.eclipse.emf.ecore.EAttribute` `getRealValue_Value()`
`org.eclipse.emf.ecore.EClass` `getRealValue()`
`org.eclipse.emf.ecore.EAttribute` `getStringValue_Value()`
`org.eclipse.emf.ecore.EClass` `getStringValue()`
`org.eclipse.emf.ecore.EClass` `getValue()`
`static ABasePackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static ABasePackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `ABasePackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `ABasePackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getValue

    public org.eclipse.emf.ecore.EClass getValue()

  Specified by:
    `getValue` in interface `ABasePackage`
  Returns:
    the meta object for class 'Value'.
  See Also:
    `Value`

### getIntValue

    public org.eclipse.emf.ecore.EClass getIntValue()

  Specified by:
    `getIntValue` in interface `ABasePackage`
  Returns:
    the meta object for class 'Int Value'.
  See Also:
    `IntValue`

### getIntValue_Value

    public org.eclipse.emf.ecore.EAttribute getIntValue_Value()

  Specified by:
    `getIntValue_Value` in interface `ABasePackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `IntValue.getValue()`, `ABasePackage.getIntValue()`

### getRealValue

    public org.eclipse.emf.ecore.EClass getRealValue()

  Specified by:
    `getRealValue` in interface `ABasePackage`
  Returns:
    the meta object for class 'Real Value'.
  See Also:
    `RealValue`

### getRealValue_Value

    public org.eclipse.emf.ecore.EAttribute getRealValue_Value()

  Specified by:
    `getRealValue_Value` in interface `ABasePackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `RealValue.getValue()`, `ABasePackage.getRealValue()`

### getStringValue

    public org.eclipse.emf.ecore.EClass getStringValue()

  Specified by:
    `getStringValue` in interface `ABasePackage`
  Returns:
    the meta object for class 'String Value'.
  See Also:
    `StringValue`

### getStringValue_Value

    public org.eclipse.emf.ecore.EAttribute getStringValue_Value()

  Specified by:
    `getStringValue_Value` in interface `ABasePackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `StringValue.getValue()`, `ABasePackage.getStringValue()`

### getBooleanValue

    public org.eclipse.emf.ecore.EClass getBooleanValue()

  Specified by:
    `getBooleanValue` in interface `ABasePackage`
  Returns:
    the meta object for class 'Boolean Value'.
  See Also:
    `BooleanValue`

### getBooleanValue_Value

    public org.eclipse.emf.ecore.EAttribute getBooleanValue_Value()

  Specified by:
    `getBooleanValue_Value` in interface `ABasePackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `BooleanValue.getValue()`, `ABasePackage.getBooleanValue()`

### getBOOLEAN

    public org.eclipse.emf.ecore.EEnum getBOOLEAN()

  Specified by:
    `getBOOLEAN` in interface `ABasePackage`
  Returns:
    the meta object for enum 'BOOLEAN'.
  See Also:
    `BOOLEAN`

### getABaseFactory

    public ABaseFactory getABaseFactory()

  Specified by:
    `getABaseFactory` in interface `ABasePackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.